import Database from '../Database';
import Connection from './Connection';
export default class Container {
    /**
     * A list of connections that has been registered in Vuex ORM.
     */
    static connections: {
        [name: string]: Connection;
    };
    /**
     * Create a connection instance and registers it to the connections list.
     */
    static register(name: string, database: Database): void;
    /**
     * Find connection from the connection list.
     */
    static connection(name: string): Connection;
}
