"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Repo_1 = require("../Repo");
exports.default = {
    /**
     * Create a new repo instance.
     */
    query: function (state) { return function (entity, wrap) {
        if (wrap === void 0) { wrap = true; }
        return Repo_1.default.query(state, entity, wrap);
    }; },
    /**
     * Get all data of given entity.
     */
    all: function (state) { return function (entity, wrap) {
        if (wrap === void 0) { wrap = true; }
        return Repo_1.default.all(state, entity, wrap);
    }; },
    /**
     * Find a data of the given entity by given id.
     */
    find: function (state) { return function (entity, id, wrap) {
        if (wrap === void 0) { wrap = true; }
        return Repo_1.default.find(state, entity, id, wrap);
    }; }
};
//# sourceMappingURL=rootGetters.js.map