"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    /**
     * Create a new repo instance.
     */
    query: function (state, _getters, _rootState, rootGetters) { return function (wrap) {
        if (wrap === void 0) { wrap = true; }
        return rootGetters[state.$connection + "/query"](state.$name, wrap);
    }; },
    /**
     * Get all data of given entity.
     */
    all: function (state, _getters, _rootState, rootGetters) { return function (wrap) {
        if (wrap === void 0) { wrap = true; }
        return rootGetters[state.$connection + "/all"](state.$name, wrap);
    }; },
    /**
     * Find a data of the given entity by given id.
     */
    find: function (state, _getters, _rootState, rootGetters) { return function (id, wrap) {
        if (wrap === void 0) { wrap = true; }
        return rootGetters[state.$connection + "/find"](state.$name, id, wrap);
    }; }
};
//# sourceMappingURL=subGetters.js.map