"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Container_1 = require("../connections/Container");
exports.default = function (database, options) {
    if (options === void 0) { options = {}; }
    var namespace = options.namespace || 'entities';
    return function (store) {
        store.registerModule(namespace, database.modules(namespace));
        database.registerNamespace(namespace);
        Container_1.default.register(namespace, database);
    };
};
//# sourceMappingURL=install.js.map