"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Connection_1 = require("./Connection");
var Container = /** @class */ (function () {
    function Container() {
    }
    /**
     * Create a connection instance and registers it to the connections list.
     */
    Container.register = function (name, database) {
        this.connections[name] = new Connection_1.default(database);
    };
    /**
     * Find connection from the connection list.
     */
    Container.connection = function (name) {
        return this.connections[name];
    };
    /**
     * A list of connections that has been registered in Vuex ORM.
     */
    Container.connections = {};
    return Container;
}());
exports.default = Container;
//# sourceMappingURL=Container.js.map